local diff = {
	["keyDiffs"] = {
		["d1041pnilu1042cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "E",
				},
			},
			["name"] = "HOTAS CMS Z Axis",
		},
		["d1374pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "M",
					["reformers"] = {
						[1] = "LCtrl",
						[2] = "LShift",
					},
				},
			},
			["name"] = "Master switch ARM",
		},
		["d145pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "F",
					["reformers"] = {
						[1] = "LShift",
					},
				},
			},
			["name"] = "Flaps Down",
		},
		["d146pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "F",
					["reformers"] = {
						[1] = "LCtrl",
					},
				},
			},
			["name"] = "Flaps Up",
			["removed"] = {
				[1] = {
					["key"] = "F",
					["reformers"] = {
						[1] = "LShift",
					},
				},
			},
		},
		["d193pnilu194cdnilvdnilvpnilvunil"] = {
			["name"] = "Aircraft Pitch Down",
			["removed"] = {
				[1] = {
					["key"] = "Up",
				},
			},
		},
		["d195pnilu196cdnilvdnilvpnilvunil"] = {
			["name"] = "Aircraft Pitch Up",
			["removed"] = {
				[1] = {
					["key"] = "Down",
				},
			},
		},
		["d197pnilu198cdnilvdnilvpnilvunil"] = {
			["name"] = "Aircraft Bank Left",
			["removed"] = {
				[1] = {
					["key"] = "Left",
				},
			},
		},
		["d199pnilu200cdnilvdnilvpnilvunil"] = {
			["name"] = "Aircraft Bank Right",
			["removed"] = {
				[1] = {
					["key"] = "Right",
				},
			},
		},
		["d19pnilunilcdnilvdnilvpnilvunil"] = {
			["name"] = "Lock view (cycle padlock)",
			["removed"] = {
				[1] = {
					["key"] = "Num.",
				},
			},
		},
		["d201pnilu202cdnilvdnilvpnilvunil"] = {
			["name"] = "Aircraft Rudder Left",
			["removed"] = {
				[1] = {
					["key"] = "Z",
				},
			},
		},
		["d203pnilu204cdnilvdnilvpnilvunil"] = {
			["name"] = "Aircraft Rudder Right",
			["removed"] = {
				[1] = {
					["key"] = "X",
				},
			},
		},
		["d300pnilunilcdnilvdnilvpnilvunil"] = {
			["name"] = "Cockpit Illumination",
			["removed"] = {
				[1] = {
					["key"] = "L",
				},
			},
		},
		["d350pnilu351cdnilvdnilvpnilvunil"] = {
			["name"] = "Weapon release",
			["removed"] = {
				[1] = {
					["key"] = "Space",
					["reformers"] = {
						[1] = "RAlt",
					},
				},
			},
		},
		["d387pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "3",
				},
			},
			["name"] = "LAAP Altitude/Bank Hold",
		},
		["d539pnilu543cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "Up",
				},
			},
			["name"] = "HOTAS Coolie Switch Up",
		},
		["d540pnilu543cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "Down",
				},
			},
			["name"] = "HOTAS Coolie Switch Down",
		},
		["d541pnilu543cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "Left",
				},
			},
			["name"] = "HOTAS Coolie Switch Left",
		},
		["d542pnilu543cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "Right",
				},
			},
			["name"] = "HOTAS Coolie Switch Right",
		},
		["d552pnilu553cdnilvdnilvpnilvunil"] = {
			["name"] = "HOTAS DMS Right",
			["removed"] = {
				[1] = {
					["key"] = "PageDown",
				},
			},
		},
		["d555pnilu639cdnilvdnilvpnilvunil"] = {
			["name"] = "Gun Trigger (first stage)",
			["removed"] = {
				[1] = {
					["key"] = "P",
				},
			},
		},
		["d556pnilu560cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "W",
				},
				[2] = {
					["key"] = ";",
				},
			},
			["name"] = "HOTAS CMS Forward",
		},
		["d557pnilu560cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "S",
				},
				[2] = {
					["key"] = ".",
				},
			},
			["name"] = "HOTAS CMS Aft",
		},
		["d558pnilu560cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = ",",
				},
			},
			["name"] = "HOTAS CMS Left",
		},
		["d559pnilu560cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "/",
				},
			},
			["name"] = "HOTAS CMS Right",
		},
		["d562pnilu606cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "L",
				},
			},
			["name"] = "HOTAS Nosewheel Steering Button",
			["removed"] = {
				[1] = {
					["key"] = "Insert",
				},
			},
		},
		["d563pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "Num8",
				},
			},
			["name"] = "HOTAS Boat Switch Forward",
		},
		["d564pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "Num2",
				},
			},
			["name"] = "HOTAS Boat Switch Aft",
		},
		["d565pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "Num5",
				},
			},
			["name"] = "HOTAS Boat Switch Center",
		},
		["d571pnilu1557cdnilvdnilvpnilvunil"] = {
			["name"] = "HOTAS Left Throttle Button",
			["removed"] = {
				[1] = {
					["key"] = "Q",
				},
			},
		},
		["d572pnilu576cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "R",
				},
			},
			["name"] = "HOTAS MIC Switch Up",
		},
		["d574pnilu576cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "Q",
				},
			},
			["name"] = "HOTAS MIC Switch Aft",
		},
		["d636pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "2",
				},
			},
			["name"] = "LAAP Altitude/Heading Hold",
			["removed"] = {
				[1] = {
					["key"] = "3",
				},
			},
		},
		["d637pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "1",
				},
			},
			["name"] = "LAAP Path Hold",
			["removed"] = {
				[1] = {
					["key"] = "2",
				},
			},
		},
		["d74pnilu75cdnilvdnilvpnilvunil"] = {
			["name"] = "Wheel Brake On/Off",
			["removed"] = {
				[1] = {
					["key"] = "W",
				},
			},
		},
		["d816pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "P",
				},
				[2] = {
					["key"] = "Back",
				},
			},
			["name"] = "Active Pause",
		},
		["d82pnilunilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "V",
					["reformers"] = {
						[1] = "LCtrl",
						[2] = "LShift",
					},
				},
			},
			["name"] = "Jettison Weapons",
		},
		["dnilp334u335cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "Z",
				},
			},
			["name"] = "Zoom external in",
		},
		["dnilp336u337cdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "X",
				},
			},
			["name"] = "Zoom external out",
		},
		["dnilp34u214cdnilvdnilvpnilvunil"] = {
			["name"] = "View Up slow",
			["removed"] = {
				[1] = {
					["key"] = "Num8",
				},
			},
		},
		["dnilp35u214cdnilvdnilvpnilvunil"] = {
			["name"] = "View Down slow",
			["removed"] = {
				[1] = {
					["key"] = "Num2",
				},
			},
		},
		["dnilp36unilcdnilvdnilvpnilvunil"] = {
			["name"] = "View Center",
			["removed"] = {
				[1] = {
					["key"] = "Num5",
				},
			},
		},
		["dnilp840unilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "PageUp",
				},
			},
			["name"] = "Gain goggles up",
		},
		["dnilp841unilcdnilvdnilvpnilvunil"] = {
			["added"] = {
				[1] = {
					["key"] = "PageDown",
				},
			},
			["name"] = "Gain goggles down",
		},
		["dnilp88u235cdnilvdnilvpnilvunil"] = {
			["name"] = "HOTAS Slew Left",
			["removed"] = {
				[1] = {
					["key"] = ",",
				},
			},
		},
		["dnilp89u235cdnilvdnilvpnilvunil"] = {
			["name"] = "HOTAS Slew Right",
			["removed"] = {
				[1] = {
					["key"] = "/",
				},
			},
		},
		["dnilp90u235cdnilvdnilvpnilvunil"] = {
			["name"] = "HOTAS Slew Up",
			["removed"] = {
				[1] = {
					["key"] = ";",
				},
			},
		},
		["dnilp91u235cdnilvdnilvpnilvunil"] = {
			["name"] = "HOTAS Slew Down",
			["removed"] = {
				[1] = {
					["key"] = ".",
				},
			},
		},
	},
}
return diff